WordPress.org

Make WordPress Themes

Opened 4 years ago

Closed 4 years ago

Last modified 4 years ago

#13142 closed theme (not-approved)

THEME: BirdMAGAZINE - 1.0

Reported by: sysbird Owned by: scui2
Priority: new theme Keywords: theme-birdmagazine
Cc: sysbird@…

Description

BirdMAGAZINE - 1.0

BirdMAGAZINE is a flexible two-column blog theme. Features the grid layout by a jQuery Masonry. and uses CSS3 media queries for its responsive layout and is therefore optimized for tablet pcs and smart phones. It has the page navigation. You can also choose the link color, text color and navigation menu color.

Theme URL - http://www.sysbird.jp/birdmagazine/
Author URL - http://www.sysbird.jp/wptips/

SVN - http://themes.svn.wordpress.org/birdmagazine/1.0
ZIP - http://wordpress.org/themes/download/birdmagazine.1.0.zip?nostats=1

History:

Ticket Summary Status Resolution Owner
#13142 THEME: BirdMAGAZINE - 1.0 closed not-approved scui2

(this ticket)

#13589 THEME: BirdMAGAZINE - 1.02 closed live scui2
#36399 THEME: birdMAGAZINE – 1.03 closed live themetracbot
#44313 THEME: birdMAGAZINE – 1.04 closed live Otto42


https://themes.svn.wordpress.org/birdmagazine/1.0/screenshot.png

Attachments (1)

longselect.png (2.5 KB) - added by scui2 4 years ago.

Download all attachments as: .zip

Change History (3)

#1 @scui2
4 years ago

  • Owner set to scui2
  • Status changed from new to reviewing

#2 @scui2
4 years ago

  • Resolution set to not-approved
  • Status changed from reviewing to closed

Required Issues:

  • PHP Notices:

Undefined variable: birdmagazin_menu in header.php on line 52

Notice: Trying to get property of non-object in functions.php on line 354

  • Themes must not provide backward compatibility for out-of-date WordPress versions (more than two prior major WordPress versions - currently, that means versions prior to WordPress 3.3), including using function_exists() conditional wrappers for current WordPress functions.

e.g. function_exists('register_sidebar')

  • Themes are required to include functional and resource files in a manner that facilitates the use of Child Themes.

e.g. Use get_template_directory_uri() instead of dirname( FILE )

  • Themes are required to use core-bundled scripts, if using such scripts.

e.g. Mansony

  • There are 2 instance of add_theme_support( 'automatic-feed-links' ). One in birdmagazine_setup() and one in bottom of functions.php
  • Unit Test: Long select tag overflows in sidebar. See attached.

Please note that this is a partial review. The next review may find additional issues.

Due to the above required issues, the ticket is resolved as NOT-APPROVED. When submitting a new version. Please include a link to the new ticket.

Last edited 4 years ago by scui2 (previous) (diff)

@scui2
4 years ago

Note: See TracTickets for help on using tickets.